PHPExcel_Writer_Excel5

# Class: PHPExcel_Writer_Excel5_Workbook

Source Location: /PHPExcel/Writer/Excel5/Workbook.php

### Class Overview

    PHPExcel_Writer_Excel5_BIFFwriter
       |
       --PHPExcel_Writer_Excel5_Workbook

PHPExcel_Writer_Excel5_Workbook

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Variables

- $_biffsize
- $_codepage
- $_country_code
- $_palette

### Methods

- __construct
- addXfWriter
- getEscher
- setEscher
- writeWorkbook
- _addFont

### Inherited Variables

#### Class: PHPExcel_Writer_Excel5_BIFFwriter

PHPExcel_Writer_Excel5_BIFFwriter::$_data
PHPExcel_Writer_Excel5_BIFFwriter::$_datasize
PHPExcel_Writer_Excel5_BIFFwriter::$_limit

### Inherited Methods

#### Class: PHPExcel_Writer_Excel5_BIFFwriter

PHPExcel_Writer_Excel5_BIFFwriter::__construct()
  Constructor
PHPExcel_Writer_Excel5_BIFFwriter::getByteOrder()
  Determine the byte order and store it as class data to avoid recalculating it for each call to new().
PHPExcel_Writer_Excel5_BIFFwriter::writeData()
  General storage function like _append, but returns string instead of modifying $this->_data
PHPExcel_Writer_Excel5_BIFFwriter::writeEof()
  Writes Excel EOF record to indicate the end of a BIFF stream.

### Class Details

[line 71]
PHPExcel_Writer_Excel5_Workbook

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Variables

#### $_biffsize =

[line 85]

The BIFF file size for the workbook.

#### Tags:

see: | _calcSheetOffsets()
access: | public

Type: | integer

[ Top ]

#### $_codepage =

[line 103]

The codepage indicates the text encoding used for strings

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_country_code =

[line 109]

The country code used for localization

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_palette =

[line 97]

Array containing the colour palette

#### Tags:

access: | public

Type: | array

[ Top ]

### Class Methods

### constructor __construct [line 203]

`PHPExcel_Writer_Excel5_Workbook __construct( [PHPExcel $phpExcel = null], int &$str_total, int &$str_unique, array &$str_table, array &$colors, mixed $parser)`

Class constructor

#### Tags:

access: | public

Overrides PHPExcel_Writer_Excel5_BIFFwriter::__construct() (Constructor)

#### Parameters:

PHPExcel | $phpExcel | The Workbook
int | &$str_total | Total number of strings
int | &$str_unique | Total number of unique strings
array | &$str_table | String Table
array | &$colors | Colour Table
mixed | $parser | The formula parser created for the Workbook

[ Top ]

### method addXfWriter [line 253]

`int addXfWriter( PHPExcel_Style $style, [boolean $isStyleXf = false])`

Add a new XF writer

#### Tags:

return: | Index to XF record
access: | public

#### Parameters:

PHPExcel_Style | $style |
boolean | $isStyleXf | Is it a style XF?

[ Top ]

### method getEscher [line 1435]

`PHPExcel_Shared_Escher getEscher( )`

Get Escher object

#### Tags:

access: | public

[ Top ]

### method setEscher [line 1445]

`void setEscher( [PHPExcel_Shared_Escher $pValue = null])`

Set Escher object

#### Tags:

access: | public

#### Parameters:

PHPExcel_Shared_Escher | $pValue |

[ Top ]

### method writeWorkbook [line 425]

`string writeWorkbook( [array $pWorksheetSizes = null])`

Assemble worksheets into a workbook and send the BIFF data to an OLE storage.

#### Tags:

return: | Binary data for workbook stream
access: | public

#### Parameters:

array | $pWorksheetSizes | The sizes in bytes of the binary worksheet streams

[ Top ]

### method _addFont [line 303]

`int _addFont( PHPExcel_Style_Font $font)`

Add a font to added fonts

#### Tags:

return: | Index to FONT record
access: | public

#### Parameters:

PHPExcel_Style_Font | $font |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:13 +0200 by phpDocumentor 1.4.4